Summary: The GNU version of the awk text processing utility
Name: gawk
Version: 3.1.7
Release: 10%{?dist}
License: GPLv3+
Group: Applications/Text
URL: http://www.gnu.org/software/gawk/gawk.html
Source0: http://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.xz
Patch0: gawk-3.1.7-prec-utf8.patch
Patch1: gawk-3.1.7-max-int.patch
Patch2: gawk-3.1.7-syntax.patch
Patch3: gawk-3.1.7-double-free-wstptr.patch
# Needed until #743343 is fixed in byacc (Requires: byacc-fixed-version):
Patch4: gawk-3.1.7-byacc-overflow.patch
Patch5: gawk-3.1.7-preserve-argv.patch
Patch6: gawk-3.1.7-signed-overflow-warning.patch
Patch7: gawk-3.1.7-mbgsub.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires: bison

%description
The gawk package contains the GNU version of awk, a text processing
utility. Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%prep
%setup -q
%patch0 -p1 -b .prec-utf8
%patch1 -p1 -b .max-int
%patch2 -p1 -b .syntax
%patch3 -p1 -b .double-free-wstptr
%patch4 -p1 -b .byacc-overflow
%patch5 -p1 -b .preserve-argv
%patch6 -p1 -b .signed-overflow-warning
%patch7 -p0 -b .mbgsub

%build
# this is due to building issue on ppc - probably bogus compiler
%ifarch ppc
CFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -m32"; export CFLAGS
%endif
%configure --bindir=/bin --disable-libsigsegv
make %{?_smp_mflags}

%check
make check diffout

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf gawk.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/awk.1.gz
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/awk
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/gawk
mv $RPM_BUILD_ROOT/bin/{p,i}gawk $RPM_BUILD_ROOT%{_bindir}
# remove %{version}* , when we are building a snapshot...
rm -f $RPM_BUILD_ROOT/bin/{,p}gawk-%{version}* $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/gawk.info.gz ]; then
    /sbin/install-info %{_infodir}/gawk.info.gz %{_infodir}/dir || :
fi

%preun
if [ $1 = 0 -a -f %{_infodir}/gawk.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/gawk.info.gz %{_infodir}/dir || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING FUTURES LIMITATIONS NEWS
%doc README_d/README.multibyte README_d/README.tests POSIX.STD
/bin/*awk
%{_bindir}/*awk
%{_mandir}/man1/*
%{_infodir}/gawk.info*
%{_infodir}/gawkinet.info*
%{_libexecdir}/awk
%{_datadir}/awk


%changelog

